octonet - Segnalazione #66

Handle octofussd connection refused error
11/23/2016 02:19 AM - Christopher R. Gabriel

Status: Chiuso Start date: 11/23/2016
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
If the octofussd backend is not running or not reachable (for remote usage), the connection refused is now an unhandled exception.

We need to handle it and show the user a proper error message/page.

Associated revisions

Revision f9c6b6cd - 11/28/2016 01:36 PM - Enrico Zini

Handle ConnectionRefusedError on login and on views. refs: #66

Revision 24811002 - 11/28/2016 01:36 PM - Enrico Zini

Handle ConnectionRefusedError. Fixes #66

History

#1 - 11/28/2016 01:23 PM - Enrico Zini

- Assignee set to Enrico Zini
#2 - 11/28/2016 01:37 PM - Anonymous

- Status changed from Nuovo to Risolto

- % Done changed from 0 to 100

Applicata nel changeset 24811002091436fala8a156e5e40fcb06cd58d4d.

#3 - 11/28/2016 01:38 PM - Enrico Zini

- Status changed from Risolto to Chiuso

When connection refused is detected at the beginning of a view, now there's a redirect to the login view. Trying to login again gives a connection
refused error message, unless the server is back.

This is better than a traceback, but not optimal. There's now a place to hook a more optimal solution, though.
